gnutls_psk_set_server_credentials_file(3)

NAME
gnutls_psk_set_server_credentials_file - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_set_server_credentials_file(gnutls_psk_server_credentials_t res, const char * password_file);

ARGUMENTS

gnutls_psk_server_credentials_t res
    is a gnutls_psk_server_credentials_t type.

const char * password_file
    is the PSK password file (passwd.psk)

DESCRIPTION
This function sets the password file, in a gnutls_psk_server_credentials_t type. This password file holds usernames and keys and will be used for PSK authentication.

Each entry in the file consists of a username, followed by a colon (':') and a hex-encoded key. If the username contains a colon or any other special character, it can be hex-encoded preceded by a

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/